// Copyright (C) 2016 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial

#ifndef TESTRESOLVETYPE_H
#define TESTRESOLVETYPE_H

#include <QtCore/QObject>

class TestResolveType : public QObject
{
    Q_OBJECT
    private slots:
        void initTestCase();

        void testResolveReturnTypeFromParentScope();
        void testFixDefaultArguments_data();
        void testFixDefaultArguments();
        void testCppTypes();
};

#endif
